﻿@model Domain.Ejemplo.Producto

@{
    ViewData["Title"] = "Editar";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<script src="~/lib/jquery-validation/dist/jquery.validate.js"></script>
<script src="~/lib/jquery-validation-unobtrusive/jquery.validate.unobtrusive.js"></script>
<link href="~/assets/demo/default/base/style.bundle.css" rel="stylesheet" type="text/css">

@if (TempData["Error"] != null)
{
    <div class="alert alert-danger fade show" role="alert">
        <div class="alert-icon"><i class="flaticon-warning"></i></div>
        <div class="alert-text"><strong>¡Advertencia!</strong> @TempData["Error"]</div>
        <div class="alert-close">
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true"><i class="la la-close"></i></span>
            </button>
        </div>
    </div>
}

<div class="k-portlet">
    <div class="k-portlet__head">
        <div class="k-portlet__head-label">
            <h3 class="k-portlet__head-title"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">Editar  producto</font></font></h3>

        </div>
        <div class="k-portlet__head-toolbar">
            <span class="d-inline-block" tabindex="0" data-toggle="k-tooltip" data-skin="dark" style="margin-left:5px;" data-original-title="Regresar a productos">
                <a asp-action="Index" class="btn btn-secondary">
                    <i class="la la-arrow-left"></i>
                    <span class="k-hidden-mobile">Regresar</span>
                </a>
            </span>

        </div>

    </div>
    <div class="k-portlet__body">
        <form enctype="multipart/form-data" method="post" asp-action="Editar">
            <div class="modal-body">
                @Html.AntiForgeryToken()
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group row">
                            <div class="col-lg-3">
                                <label><font color="red">*</font> Nombre</label>
                                <input type="text" asp-for="Nombre" class="form-control" placeholder="Ingresa el nombre" required autocomplete="off" />
                                <span asp-validation-for="Nombre" class="form-text text-danger"></span>
                            </div>

                            <div class="col-lg-3">
                                <label><font color="red">*</font> Precio</label>
                                <div class="input-group">

                                    <input type="number" asp-for="precio" min="1" class="form-control" placeholder="Ingresa el precio del producto" autocomplete="off">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text">$</span>
                                    </div>

                                </div>
                                <span asp-validation-for="precio" class="form-text text-danger"></span>
                            </div>
                            <div class="col-lg-3">
                                <label> Descuento</label>
                                <div class="input-group">
                                    <input type="number" asp-for="PorcentajeDes"  class="form-control" placeholder="Ingresa el precio del producto" autocomplete="off">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text">$</span>
                                    </div>

                                </div>
                                <span asp-validation-for="precio" class="form-text text-danger"></span>
                            </div>

                            <div class="col-lg-3">
                                <div class="form-group">
                                    <label><font color="red">*</font> Categoria</label>
                                    <select asp-for="IdCategoria" asp-items="@ViewBag.Categorias" class="form-control k_selectpicker" data-live-search="true" required>
                                        <option value="" selected>Selecciona una categoria</option>
                                    </select>
                                    <span asp-validation-for="IdCategoria" class="form-text text-danger"></span>
                                </div>
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="col-lg-3">
                                <label>N&uacute;mero de prendas XS</label>
                                <input type="number" asp-for="talla_XS"  min="0" class="form-control" placeholder="0" autocomplete="off" />

                            </div>
                            <div class="col-lg-3">
                                <label> N&uacute;mero de prendas S</label>
                                <input type="number" asp-for="talla_S"  min="0" class="form-control" placeholder="Numero de prendas" autocomplete="off" />

                            </div>
                            <div class="col-lg-3">
                                <label> N&uacute;mero de prendas M</label>
                                <input type="number" asp-for="talla_M"  min="0" class="form-control" placeholder="Numero de prendas" autocomplete="off" />

                            </div>
                            <div class="col-lg-3">
                                <label>N&uacute;mero de prendas L</label>
                                <input type="number" asp-for="talla_L"  min="0" class="form-control" placeholder="Numero de prendas" autocomplete="off" />

                            </div>
                        </div>
                        <div class=" form-group row">
                            <div class="col-lg-12">

                                <label> Descripci&oacute;n</label>
                                <textarea asp-for="Descripcion" class="form-control " rows="7" autocomplete="off"> </textarea>

                            </div>

                        </div>


                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="reset" class="btn btn-secondary flaticon-refresh"> Cancelar</button>
                <button type="submit" class="btn btn-primary flaticon-folder-1"> Guardar</button>
            </div>
        </form>


    </div>
</div>
<script src="~/assets/vendors/general/block-ui/jquery.blockUI.js" type="text/javascript"></script>
<script src="~/lib/jquery-validation/dist/jquery.validate.js"></script>
<script src="~/lib/jquery-validation-unobtrusive/jquery.validate.unobtrusive.js"></script>
<link href="~/assets/vendors/general/bootstrap-select/dist/css/bootstrap-select.css" rel="stylesheet" type="text/css" />
<link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.2/css/select2.min.css" rel="stylesheet" type="text/css" />

